<script>
import { GlIcon } from "@gitlab/ui";
import { IMAGE_VIDEO_SHARED_STYLES } from "./constants";
export default {
  components: {
    GlIcon,
  },
  props: {
    src: String,
  },
  constants: {
    IMAGE_VIDEO_SHARED_STYLES,
  },
};
</script>
<template>
  <div>
    <video
      controls
      class="gl-mb-2"
      :class="$options.constants.IMAGE_VIDEO_SHARED_STYLES"
      :src="src"
    />
    <gl-icon name="paperclip" :size="12" />
    <a class="gl-break-all gl-link" :href="src"> {{ src }}</a>
  </div>
</template>
